
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>库和框架的区别 / 憋错料</title>

    <meta name="description" content="库和框架的区别 本文面向玩代码玩的蛋疼的读者. 库和框架都是一种有别于软件.面向程序开发者的产品形式.正因为如此,也有很多人误以为库就是框架,或者认为指定语言的库就是框架. 库的英语为 Library ( 简写 Lib ),框架的英语为 Framework. 库是将代码集合成的一个产品,供程序员调用.面向对象的代码组织形式而成的库也叫类库.面向过程的代码组织形式而成的库也叫函数库.在函数库中的可直接使用的函数叫库函数.开发者在使用库的时候,只需要使用库的一部分类或函数,然后继续实现自己的功能. 框架则是为解决一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">库和框架的区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><P>本文面向玩代码玩的蛋疼的读者。</p>
<p>库和框架都是一种有别于软件、面向程序开发者的产品形式。正因为如此，也有很多人误以为库就是框架，或者认为指定语言的库就是框架。</p>
<p>库的英语为 Library ( 简写 Lib )，框架的英语为 Framework。</p>
<p>库是将代码集合成的一个产品，供程序员调用。面向对象的代码组织形式而成的库也叫类库。面向过程的代码组织形式而成的库也叫函数库。<BR>在函数库中的可直接使用的函数叫库函数。开发者在使用库的时候，只需要使用库的一部分类或函数，然后继续实现自己的功能。</p>
<p>框架则是为解决一个(一类)问题而开发的产品，框架用户一般只需要使用框架提供的类或函数，即可实现全部功能。可以说，框架是库的升级版。<BR>开发者在使用框架的时候，必须使用这个框架的全部代码。</p>
<p>框架和库的比较可以想像为:</p>
<p>假如我们要买一台电脑。框架为我们提供了已经装好的电脑，我们只要买回来就能用，但你必须把整个电脑买回来。这样用户自然轻松许多，但会导致<BR>很多人用一样的电脑，或你想自定义某个部件将需要修改这个框架。而库就如自己组装的电脑。库为我们提供了很多部件，我们需要自己组装，如果某个部件<BR>库未提供，我们也可以自己做。库的使用非常灵活，但没有框架方便。</p>
<p><P>框架通过封装处理流程的控制逻辑，使它对开发者透明，来简化开发工作。这种封装也是框架和类库（class<br />
library）的区别之一。类库由许多现成的、供开发者用于构建应用的组件组成，但是，开发者必须理解不同组件之间的关系，并编写处理流程代码把众多组件组织起来。框架则不同，它通过预先把众多组件组织在一起的方式，封装了处理流程的控制逻辑；因此，开发者就不用再编写控制逻辑来组织组件之间的交互了。……</p>
<p><P>……应用开发者使用类库这种方法时，必须编写管理类库中不同组件实例（instance）的控制流程。为此，应用开发者必须充分理解每个相关组件，以及组织组件协作所必需的业务逻辑。而使用框架这种方法时，由于大部分处理流程已经被框架管理了起来，所以开发者需要编写的控制代码就非常少。由于应用框架隐藏了不同组件之间的处理流程，这就免去了开发者编写协调逻辑（coordination<br />
logic）之苦，也不用经历编写这些协调代码的学习曲线了。既然处理流程的控制逻辑从应用层移到了应用框架层，那么框架的设计人员就要运用其架构和领域知识，来定义框架内的组件该如何协作；而使用框架的开发者，几乎无须知道框架组件如何协作，就能高效地开发应用。</p>
<p><P>由此可见，从重用的角度来比较，框架提供的重用性比类库更大。类库的目标是提供通用的类，如果是Utility类的情况（包含多个static方法），将其目标理解成提供通用的函数（就像C语言时代的函式库一样）也未尝不可；而框架的目标是提供在某领域内通用的软件系统半成品（或子系统半成品）。</p>
<p><P>转自sauzny &nbsp;http://sauzny.iteye.com/blog/1699880</p>
<p><A href="http://www.bubuko.com/infodetail-180276.html" rel="external nofollow noreferrer">库和框架的区别,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 10:36:00 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>库和框架的区别的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49OPKD0.html" rel="bookmark">库和框架的对比【翻译】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.programcreek.com/2011/09/what-is-the-difference-between-a-java-library-and-a-framework/ 原文和翻译都只是参考,如有不对,欢迎指正. 库和框架的区别是什么呢?这两个概念都很重要,但是有时会让Java开发者感到疑惑. 1.库和框架的区别以及各自的定义它们最主要的区别就在于&quot;控制反转&quot;.当你从库中调用一个方法时,控制权在你手上.但是当你使用框架时,控制权就反过来了,这时就是框架			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dbJR64.html" rel="bookmark">mvc模型和mvc框架的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring中的新名称也太多了吧!IOC/DI/MVC/AOP/DAO/ORM... 对于刚刚接触spring的我来说确实晕了头!可是一但你完全掌握了一个概念,那么它就会死心塌地的为你服务了.这可比女人忠诚多了. 在这里我们来说侃下MVC吧!嗯!MVC设计模型和MVC框架之区别. 一组概念需要先理解,因为后面需要用:   架构:简单的说架构就是一个蓝图,是一种设计方案,将客户的不同需求抽象成为抽象组件,并且能够描述这些抽象组件之间的通信和调用.   框架:软件框架是项目软件开发过程中提取特定领域			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mo6NoQ4.html" rel="bookmark">关于Vue&period;js和Vue&period;js的优缺点以及和与其他前端框架的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,我们先了解什么是MVX框架模式? MVX框架模式:MVC+MVP+MVVM 1.MVC:Model(模型)+View(视图)+controller(控制器),主要是基于分层的目的,让彼此的职责分开. View通过Controller来和Model联系,Controller是View和Model的协调者,View和Model不直接联系,基本联系都是单向的. 用户User通过控制器Controller来操作模板Model从而达到视图View的变化. 2.MVP:是从MVC模式演变而来的,都是通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KYAZ94.html" rel="bookmark">Vue与React两个框架的区别对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单介绍 React--Facebook创建的JavaScript UI框架.它支撑着包括Instagram在内的大多数Facebook网站.React与当时流行的jQuery,Backbone.js和Angular 1等框架不同,它的诞生改变了JavaScript的世界.其中最大的变化是React推广了Virtual DOM(虚拟DOM)并创造了新的语法--JSX,JSX允许开发者在JavaScript中书写HTML(译者注:即HTML in JavaScript). Vue致力解决的问题与R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41XN8J3.html" rel="bookmark">真正搞明白Python中Django和Flask框架的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在谈Python中Django框架和Flask框架的区别之前,我们需要先探讨如下几个问题. 一.为什么要使用框架? 为了更好地阐述这个问题,我们把开发一个应用的过程进行类比,往往开发一个应用(web应用.系统应用)跟建造房子的过程一样,需要先打地基,搭好骨架,然后一块砖一块砖叠上去. 而开发一个应用呢?同样也需要一个好的架构设计,数据库建模,然后一个模块一个模块使用代码实现. 如果开发一个软件应用不使用框架,和我们建房子时,每一块砖.每一根钢筋都需要自己生产出来本质上是一样的. 显而易见,如果在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0enqE3.html" rel="bookmark">2016年 CSS 库、框架和工具新生榜 TOP 50</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看看 CSS 在过去几年的巨大变化和快速发展,你就不会对它今年的开源工具大产量感到惊讶了.这些 CSS 库.框架和工具的建立不仅给我们提供了学习的视角,更给我们的工作与生活带来了便利. 本文精选了 50 款 2016 年发布的 CSS 库.框架和工具供大家享用,希望它们对您有所帮助. 分类快速预览:CSS 库,CSS Spinners,CSS 图像特效,CSS 实用程序,设计指南工具,响应式邮件与通讯列表框架,Flexbox 布局工具和框架,CSS 布局框架和 material design 框			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWwVvkM.html" rel="bookmark">运用NodeJs环境并依赖第三方库，框架等实现网站前后端分离报错问题及处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				运用NodeJs环境并依赖第三方库,框架等实现网站前后端分离报错问题及处理方法 问题一: SyntaxError: missing ) after argument list in .....\views\user\index.html while compiling ejs. 语法错误:失去右括号)在参数列表后面,在.....\views\user\index.html(在这个路径中的index.html)中当编译ejs时. 分析:这个时候应该是模板引擎ejs出现问题,但是ejs已经是一个写好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rE8r10.html" rel="bookmark">软件构架、架构和框架的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件框架(Software Framework)介绍 面向某领域(包括业务领域,如ERP,和计算领域,如GUI)的.可复用的&quot;半成品&quot;软件,它实现了该领域的共性部分,并提供一系列定义良好的可变点以保证灵活性和可扩展性.可以说,软件框架是领域分析结果的软件化,是领域内最终应用系统的模板. 随着软件规模的扩大.应用的广泛和软件复用技术的发展,以子程序或类(Class)为单位的软件复用有许多不足:(1)子程序库日趋其庞大以致于使用人员难以掌握,(2)大多数类粒度很小,且其自身往往不能完成有用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Am9qb4.html" rel="bookmark">jquery是库还是框架？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery是库,不是框架. 库和框架区分很简单.库让你的工作更顺手:框架限制你的自由度,让你感到有些别扭,但让公司员工之间配合开发更顺手. 库只管引进来使用,除了库接口,没有其他约束,随便怎么用,free style:而框架则有着各种各样的严格约束. 例如bootstrap,约束了DOM结构. 例如AnglarJS,也对DOM结构有约束. 这些都是框架. 框架就像一门语言,有自己的世界. 用了什么框架,就得按照这个框架世界里的规则行事编码. &quot;jQuery is a fast, small,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/kMLO9O4.html" rel="bookmark" class="title">通过Servlet实现汉字验证码</a>
					<div>
						package com; import java.awt.Color;import java.awt.Font;import java.awt.Graphics;import java.awt.Gra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41RlXM.html" rel="bookmark" class="title">php中获取用户登陆的IP地址以及常规处理</a>
					<div>
						本文为原创,转载请注明!  在我们开发多站点业务网站中,经常需要获取客户端的ip地址来给用户推荐其所在地址的信息的业务,用php获取客户端的ip地址,我们一般用到的PHP内置方法是$_SERVER[' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJpYZ4.html" rel="bookmark" class="title">JAVA框架整合（struct&plus;spring&plus;jpa）之utf8mb4</a>
					<div>
						基于mysql数据库整合框架时出现的数据库字符编码的问题. 解决办法:数据库驱动的版本太高,换成低版本的,主要还是你的架包太不是最新版本,出现的兼容性问题. JAVA框架整合(struct+sprin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nELW7M.html" rel="bookmark" class="title">18 &amp;amp&semi; 454&period; 4Sum I &amp;amp&semi; II</a>
					<div>
						18. 4Sum I (32lines) Given a integer array and target, find all unique quadruplets sum is target. So ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZb8k3.html" rel="bookmark" class="title">&lbrack; An Ac a Day &Hat;&lowbar;&Hat; &rsqb; CodeForces 525B Pasha and String 技巧</a>
					<div>
						题意就是一次次翻转字符串 然后输出最终的字符串 暴力一发O(n*m)果然超时了 因为每次翻转的的都是a-1到对称位置 所以一个位置翻转两次等于没有操作 所以只需要记录一下len/2的位置前的操作次数  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OaEvgM.html" rel="bookmark" class="title">android 单线程多任务断点排队下载（支持多界面刷新）</a>
					<div>
						最近在做一个单线程多任务的断点排队下载的功能,网上确实有很多这样的demo.但是呢我发现大部分网上的demo都是很些不完整的要么就是有缺陷的,可能是我还没找到.今天我给大家带来的一个功能完整的并且可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lropP4.html" rel="bookmark" class="title">T-SQL 一次插入多行数据</a>
					<div>
						使用 INSERT SELECT 向表中插入数据 --将t1中查询到的数据插入添加到t2中(t2表必须存在,且顺序.数据类型必须与t1一致) INSERT INTO t2(USERNAME,PASSW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPllK0.html" rel="bookmark" class="title">LintCode刷题笔记-- PaintHouse 1&amp;amp&semi;2</a>
					<div>
						动态规划 题目描述: There are a row of n houses, each house can be painted with one of the k colors. The cost ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AR5jZM.html" rel="bookmark" class="title">电脑显示器有波纹抖动怎么办</a>
					<div>
						http://jingyan.baidu.com/article/72ee561a9b9e0de16038df70.html 电脑显示器有波纹抖动现象是比较常见的现象,同时这一现象也会出现在电视机.投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KBWzKM.html" rel="bookmark" class="title">微信公众号开发-长链接转短链接</a>
					<div>
						主要使用场景: 开发者用于生成二维码的原链接(商品.支付二维码等)太长导致扫码速度和成功率下降,将原长链接通过此接口转成短链接再生成二维码将大大提升扫码速度和成功率. http请求方式: POST h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pz9yw0.html" rel="bookmark" class="title">文件分割机</a>
					<div>
						文件分割与合并 要求:实现对大文件的分割与合并. 按指定个数切(如把一个文件切成10份)或按指定大小切(如每份最大不超过10M),这两种方式都能够. 程序说明: 文件分割:把一个文件分割成多个碎片,每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLXoXM.html" rel="bookmark" class="title">Node&period;js的知识点框架整理</a>
					<div>
						背景:因为appium是基于Node.js的,所以想看一下Node.js.但是发现很多资料的顺序看起来有点颠倒.然后就一面看资料一面整理了一下大概的知识点框架,希望对自己对别人有用. 本文不包含nod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOZ2r0.html" rel="bookmark" class="title">php 获取汉字拼音首字母的函数</a>
					<div>
						&lt;?php header(&quot;content-type:text/html;charset=utf-8&quot;); function getfirstchar($s0){ $firs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6z2LNM.html" rel="bookmark" class="title">HDU 5936 Difference（折半搜索（中途相遇法））</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=5936 题意: 定义了这样一种算法,现在给出x和k的值,问有多少个y是符合条件的. 思路: y最多只有10位,再多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRpzy4.html" rel="bookmark" class="title">阿里图标的引用</a>
					<div>
						原来会使用阿里图标的,现在居然忘了,哎呀,这个脑子也是不适合前端(或者编程)了也是,今天特地研究了一下~包括本地下载的,和线上引用, 首先第一步,打开阿里图标  http://www.iconfont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7R1EM.html" rel="bookmark" class="title">读汤姆大叔《深入理解javascript系列》笔记一编写高质量代码</a>
					<div>
						感觉大叔的博文真的是很不错 我打算严格要求自己 按照大叔说的,这样我就会更有规范,更有思想的去工作 去写代码(一入代码深似海) 1,尽可能的少用全局变量(污染全局空间,也会和别人的代码 发生冲突造成严 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvWrQ4.html" rel="bookmark" class="title">inline（内联函数）学习笔记</a>
					<div>
						1.inline 是一种“用于实现的关键字”,而不是一种“用于声明的关键字”. (1)错误示范 inline void fun(int a,int b); void fun(int a,int b)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWq9GB3.html" rel="bookmark" class="title">JAVA进阶-Annotation</a>
					<div>
						注解元数据分为4部分分别为Target,Documented,Inherited,Retention: Target&gt;指定被注解的注解只能使用在某个类型上;ElementType指定其类型:可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471RK60.html" rel="bookmark" class="title">acdream1415&lpar;dij&plus;优先队列&plus;桥&rpar;</a>
					<div>
						这题好坑,卡SPFA... 无奈只能用dij+优先队列了. 因为好久没有写过代码了,所以今天写dij时候突然觉得复杂度不对,dij+优先队列的复杂度是(n+m)logn,这种复杂度对于稠密图是非常慢! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AWbAD0.html" rel="bookmark" class="title">2、C&num;核心编程结构</a>
					<div>
						本学习主要参考Andrew Troelsen的C#与.NET4高级程序设计,这小节主要述说以下几个东西: Hello World的Main方法: 利用VS2010新建一个控制台应用程序Hello Wo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
